Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160982 - Missing BuildRequires dependency on expat-devel
Summary: Missing BuildRequires dependency on expat-devel
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: vnc
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Tim Waugh
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-19 13:32 UTC by Andreas Thienemann
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-20 09:51:56 UTC


Attachments (Terms of Use)

Description Andreas Thienemann 2005-06-19 13:32:16 UTC
During a testbuild of vnc-4.0-8.1 in mock, the rebuild process stops
with the following error in the %configure phase:

gcc -c -O2 -g -pipe -m64  -ansi -pedantic -Wall -Wpointer-arith -Wundef  
-I/usr/include/freetype2 -I/usr/include/freetype2/co
nfig -I../../extras/fontconfig/src      -I../../extras/fontconfig
-I../../exports/include/X11  -I../.. -I../../exports/include
   -Dlinux -D__amd64__ -D_POSIX_C_SOURCE=199309L                               
-D_POSIX_SOURCE -D_XOPEN_SOURCE
                        -D_BSD_SOURCE -D_SVID_SOURCE                           
 -D_GNU_SOURCE                            -DFU
NCPROTO=15 -DNARROWPROTO -DXTHREADS  -D_REENTRANT -DXUSE_MTSAFE_API   
-DFC_DEFAULT_FONTS='""' -DHAVE_EXPAT -DXFREE86_FT2
        -DFONTCONFIG_PATH='"/etc/fonts"'     -fPIC fcxml.c
fcxml.c:35:19: expat.h: No such file or directory
[...]
fcxml.c:485: error: `va_start' used in function with fixed args
make[4]: *** [fcxml.o] Error 1
make[4]: Leaving directory `/builddir/build/BUILD/vnc-4.0-unixsrc/xc/lib/fontconfig'
make[3]: *** [all] Error 2
make[3]: Leaving directory `/builddir/build/BUILD/vnc-4.0-unixsrc/xc/lib'
make[2]: *** [all] Error 2
make[2]: Leaving directory `/builddir/build/BUILD/vnc-4.0-unixsrc/xc'
make[1]: *** [World] Error 2
make[1]: Leaving directory `/builddir/build/BUILD/vnc-4.0-unixsrc/xc'
make: *** [World] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.65714 (%build)


Adding expat-devel to the BuildRequires list should fix this problem.

Comment 1 Tim Waugh 2005-06-20 08:50:34 UTC
Fixed in CVS.  Thanks for the report.

Comment 2 Andreas Thienemann 2005-06-20 09:51:56 UTC
You're welcome. Setting bug to closed/RAWHIDE.


Note You need to log in before you can comment on or make changes to this bug.